<?php

/* DCMS Special
 * Дата последнего редактирования 07.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user', 'shif') as $inc) {
    require_once "../../sys/inc/$inc.php";
}


only_reg();

$set['title'] = lang('Настройки');
require_once H . 'sys/inc/thead.php';

aut();
err();

$razdel = (isset($_GET['act'])) ? htmlspecialchars($_GET['act']) : null;

switch ($razdel) {
    default:

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Настройки');
        echo "</small></div><br />";

        echo "<a href='?act=other' class='list-group-item-null list-group-item-grey'><i class='fa fa-cog fa-fw'></i> " . lang('Общие') . "</a> ";
        echo "<a href='view.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-photo fa-fw'></i> " . lang('Вид') . "</a> ";
        echo "<a href='panels.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-list-alt fa-fw'></i> " . lang('Верхняя панель') . "</a> ";
        echo "<a href='main_menu.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-th fa-fw'></i> " . lang('Главное меню') . "</a> ";
        echo "<a href='/user/links/' class='list-group-item-null list-group-item-grey'><i class='fa fa-link fa-fw'></i> " . lang('Панель навигации') . "</a> ";
        echo "<a href='online_panel.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-tablet fa-fw'></i> " . lang('Онлайн панель') . "</a> ";
        echo "<a href='news.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-feed fa-fw'></i> " . lang('Новости') . "</a> ";
        echo "<a href='time.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-clock-o fa-fw'></i> " . lang('Время и дата') . "</a> ";
        echo "<a href='private.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-lock fa-fw'></i> " . lang('Приватность') . "</a> ";
        echo "<a href='password.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-key fa-fw'></i> " . lang('Пароль') . "</a> ";
        echo "<a href='language.php' class='list-group-item-null list-group-item-grey'><i class='fa fa-language fa-fw'></i> " . lang('Язык') . "</a> ";

        break;

#Общие настройки сохранение
    case 'other_save':

        if (isset($_POST['save'])) {
            $user['set_files'] = (isset($_POST['set_files']) && $_POST['set_files']) ? '1' : '0';
            $db->query("UPDATE `user` SET `set_files` = '" . $db->safesql($user['set_files']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: index.php?act=other" . SID);
            exit;
        }
        break;

#Общие настройки
    case 'other':

#Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings/'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Общие');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' action='index.php?act=other_save' method='POST'>";

        $doc->Checkbox('set_files', 'Выгрузка файлов', 1, "" . ($user['set_files'] ? " checked='checked'" : null) . "");
        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
        echo "</form>";

        break;
}

require_once H . 'sys/inc/tfoot.php';
